local self_ID = "C-130"
declare_plugin(self_ID,
{
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,

displayName  = _("C-130"),
fileMenuName = _("C-130"),
version		 = "2.5.6",
state		 = "installed",
info		 = _("The Lockheed C-130 Hercules is an American four-engine turboprop military transport aircraft designed and built originally by Lockheed. Capable of using unprepared runways for takeoffs and landings, the C-130 was originally designed as a troop, medevac, and cargo transport aircraft. The versatile airframe has found uses in a variety of other roles, including as a gunship, for airborne assault, search and rescue, scientific research support, weather reconnaissance, aerial refueling, maritime patrol, and aerial firefighting. It is now the main tactical airlifter for many military forces worldwide. More than 40 variants of the Hercules, including civilian versions marketed as the Lockheed L-100, operate in more than 60 nations."),





InputProfiles =
{
    ["C-130"] = current_mod_path .. '/Input/C-130',
},




Skins	=
	{
		{
			name	= _("C-130"),
			dir		= "Theme"
		},
	},
	
Missions =
	{
		{
			name		    = _("C-130"),
			dir			    = "Missions",
		},
	},		
Options = 
	{
		{
			name		= _("C-130"),
			nameId		= "C-130",
			dir			= "Options",
		},
	},
LogBook =
	{
		{
			name		= _("C-130"),
			type		= "C-130",
		},
	},		
})

mount_vfs_liveries_path(current_mod_path ..  "/Liveries")
mount_vfs_model_path   (current_mod_path ..  "/Cockpit/Shape")
mount_vfs_texture_path (current_mod_path ..  "/Theme/ME")--for simulator loading window

mount_vfs_sound_path   (current_mod_path ..  "/Sounds")

local support_cockpit = current_mod_path..'/Cockpit/Scripts/'

----------------------------------------------------------------------------------------
MAC_flyable('C-130', support_cockpit, nil, current_mod_path..'/comm.lua')
----------------------------------------------------------------------------------------

dofile(current_mod_path.."/Views.lua") --View Settings.

make_view_settings('C-130', ViewSettings, SnapViews) 

plugin_done()
